Shopify API – Product

top

Receive a list of all Products

Get a list of products

Available URL Query parameters:

  • limit — Amount of results (default: 50) (maximum: 250)
  • page — Page to show (default: 1)
  • since_id — Restrict results to after the specified ID
  • vendor — Filter by product vendor
  • handle — Filter by product handle
  • product_type — Filter by product type
  • collection_id — Filter by collection id
  • created_at_min — Show products created after date (format: 2008-01-01 03:00)
  • created_at_max — Show products created before date (format: 2008-01-01 03:00)
  • updated_at_min — Show products last updated after date (format: 2008-01-01 03:00)
  • updated_at_max — Show products last updated before date (format: 2008-01-01 03:00)
  • published_at_min — Show products published after date (format: 2008-01-01 03:00)
  • published_at_max — Show products published before date (format: 2008-01-01 03:00)
  • published_status
    • published - Show only published products
    • unpublished - Show only unpublished products
    • any - Show all products (default)
  • fields — comma-separated list of fields to include in the response
GET /admin/products.json?collection_id=841564295

Fetches all products that belong to a certain collection

Response

           
HTTP/1.1 200 OK[]
{
  "products": [
    {
      "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
      "created_at": "2012-05-09T14:41:58-04:00",
      "handle": "ipod-nano",
      "id": 632910392,
      "product_type": "Cult Products",
      "published_at": "2007-12-31T19:00:00-05:00",
      "template_suffix": null,
      "title": "IPod Nano - 8GB",
      "updated_at": "2012-05-09T14:41:58-04:00",
      "vendor": "Apple",
      "tags": "Emotive, Flash Memory, MP3, Music",
      "variants": [
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 808950810,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Pink",
          "option2": null,
          "option3": null,
          "position": 1,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008PINK",
          "taxable": true,
          "title": "Pink",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 10
        },
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 49148385,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Red",
          "option2": null,
          "option3": null,
          "position": 2,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008RED",
          "taxable": true,
          "title": "Red",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 20
        },
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 39072856,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Green",
          "option2": null,
          "option3": null,
          "position": 3,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008GREEN",
          "taxable": true,
          "title": "Green",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 30
        },
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 457924702,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Black",
          "option2": null,
          "option3": null,
          "position": 4,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008BLACK",
          "taxable": true,
          "title": "Black",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 40
        }
      ],
      "images": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 850703190,
          "position": 1,
          "product_id": 632910392,
          "updated_at": "2012-05-09T14:41:57-04:00",
          "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
        }
      ],
      "options": [
        {
          "name": "Title"
        }
      ]
    }
  ]
}
GET /admin/products.json

Get all products

Response

           
HTTP/1.1 200 OK[]
{
  "products": [
    {
      "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
      "created_at": "2012-05-09T14:41:58-04:00",
      "handle": "ipod-nano",
      "id": 632910392,
      "product_type": "Cult Products",
      "published_at": "2007-12-31T19:00:00-05:00",
      "template_suffix": null,
      "title": "IPod Nano - 8GB",
      "updated_at": "2012-05-09T14:41:58-04:00",
      "vendor": "Apple",
      "tags": "Emotive, Flash Memory, MP3, Music",
      "variants": [
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 808950810,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Pink",
          "option2": null,
          "option3": null,
          "position": 1,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008PINK",
          "taxable": true,
          "title": "Pink",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 10
        },
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 49148385,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Red",
          "option2": null,
          "option3": null,
          "position": 2,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008RED",
          "taxable": true,
          "title": "Red",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 20
        },
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 39072856,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Green",
          "option2": null,
          "option3": null,
          "position": 3,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008GREEN",
          "taxable": true,
          "title": "Green",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 30
        },
        {
          "compare_at_price": null,
          "created_at": "2012-05-09T14:41:58-04:00",
          "fulfillment_service": "manual",
          "grams": 200,
          "id": 457924702,
          "inventory_management": "shopify",
          "inventory_policy": "continue",
          "option1": "Black",
          "option2": null,
          "option3": null,
          "position": 4,
          "price": "199.00",
          "product_id": 632910392,
          "requires_shipping": true,
          "sku": "IPOD2008BLACK",
          "taxable": true,
          "title": "Black",
          "updated_at": "2012-05-09T14:41:58-04:00",
          "inventory_quantity": 40
        }
      ],
      "images": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 850703190,
          "position": 1,
          "product_id": 632910392,
          "updated_at": "2012-05-09T14:41:57-04:00",
          "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
        }
      ],
      "options": [
        {
          "name": "Title"
        }
      ]
    },
    {
      "body_html": "<p>The iPod Touch has the iPhone's multi-touch interface, with a physical home button off the touch screen. The home screen has a list of buttons for the available applications.</p>",
      "created_at": "2012-05-09T14:41:58-04:00",
      "handle": "ipod-touch",
      "id": 921728736,
      "product_type": "Cult Products",
      "published_at": "2008-09-25T20:00:00-04:00",
      "template_suffix": null,
      "title": "IPod Touch 8GB",
      "updated_at": "2012-05-09T14:41:58-04:00",
      "vendor": "Apple",
      "tags": "",
      "variants": [

      ],
      "images": [

      ],
      "options": [
        {
          "name": "Title"
        }
      ]
    }
  ]
}
GET /admin/products.json?since_id=632910392

Get all products after the specified ID

Response

           
HTTP/1.1 200 OK[]
{
  "products": [
    {
      "body_html": "<p>The iPod Touch has the iPhone's multi-touch interface, with a physical home button off the touch screen. The home screen has a list of buttons for the available applications.</p>",
      "created_at": "2012-05-09T14:41:58-04:00",
      "handle": "ipod-touch",
      "id": 921728736,
      "product_type": "Cult Products",
      "published_at": "2008-09-25T20:00:00-04:00",
      "template_suffix": null,
      "title": "IPod Touch 8GB",
      "updated_at": "2012-05-09T14:41:58-04:00",
      "vendor": "Apple",
      "tags": "",
      "variants": [

      ],
      "images": [

      ],
      "options": [
        {
          "name": "Title"
        }
      ]
    }
  ]
}
GET /admin/products.json?fields=id,images,title

Get all products, showing only some attributes

Response

           
HTTP/1.1 200 OK[]
{
  "products": [
    {
      "id": 632910392,
      "title": "IPod Nano - 8GB",
      "images": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 850703190,
          "position": 1,
          "product_id": 632910392,
          "updated_at": "2012-05-09T14:41:57-04:00",
          "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
        }
      ]
    },
    {
      "id": 921728736,
      "title": "IPod Touch 8GB",
      "images": [

      ]
    }
  ]
}
top

Receive a count of all Products

Get a count of all products of a given collection

Available URL Query parameters:

  • vendor — Filter by product vendor
  • product_type — Filter by product type
  • collection_id — Filter by collection id
  • created_at_min — Show products created after date (format: 2008-01-01 03:00)
  • created_at_max — Show products created before date (format: 2008-01-01 03:00)
  • updated_at_min — Show products last updated after date (format: 2008-01-01 03:00)
  • updated_at_max — Show products last updated before date (format: 2008-01-01 03:00)
  • published_at_min — Show products published after date (format: 2008-01-01 03:00)
  • published_at_max — Show products published before date (format: 2008-01-01 03:00)
  • published_status
    • published - Show only published products
    • unpublished - Show only unpublished products
    • any - Show all products (default)
GET /admin/products/count.json

Count all products

Response

           
HTTP/1.1 200 OK[]
{
  "count": 2
}
GET /admin/products/count.json?collection_id=841564295

Counts all products that belong to a certain collection

Response

           
HTTP/1.1 200 OK[]
{
  "count": 1
}
top

Receive a single Product

Get a single product

Available URL Query parameters:

  • fields — comma-separated list of fields to include in the response
GET /admin/products/#{id}.json

Get a single product by ID

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:41:58-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
GET /admin/products/#{id}.json?fields=id,images,title

Get only particular fields

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "id": 632910392,
    "title": "IPod Nano - 8GB",
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ]
  }
}
top

Create a new Product

Create a new product

POST /admin/products.json

Create a new product with multiple product variants

Request

           
{
  "product": {
    "title": "Burton Custom Freestlye 151",
    "body_html": "<strong>Good snowboard!</strong>",
    "vendor": "Burton",
    "product_type": "Snowboard",
    "variants": [
      {
        "option1": "First",
        "price": "10.00"
      },
      {
        "option1": "Second",
        "price": "20.00"
      }
    ]
  }
}      

Response

           
HTTP/1.1 201 Created[]
{
  "product": {
    "body_html": "<strong>Good snowboard!</strong>",
    "created_at": "2012-05-09T14:42:26-04:00",
    "handle": "burton-custom-freestlye-151",
    "id": 1048875348,
    "product_type": "Snowboard",
    "published_at": "2012-05-09T14:42:26-04:00",
    "template_suffix": null,
    "title": "Burton Custom Freestlye 151",
    "updated_at": "2012-05-09T14:42:26-04:00",
    "vendor": "Burton",
    "tags": "",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411790,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "First",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "10.00",
        "product_id": 1048875348,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "First",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411791,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "Second",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "20.00",
        "product_id": 1048875348,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "Second",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      }
    ],
    "images": [

    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
POST /admin/products.json

Create a new product with the default product variant

Request

           
{
  "product": {
    "title": "Burton Custom Freestlye 151",
    "body_html": "<strong>Good snowboard!</strong>",
    "vendor": "Burton",
    "product_type": "Snowboard",
    "tags": "Barnes & Noble, John's Fav, \"Big Air\""
  }
}      

Response

           
HTTP/1.1 201 Created[]
{
  "product": {
    "body_html": "<strong>Good snowboard!</strong>",
    "created_at": "2012-05-09T14:42:26-04:00",
    "handle": "burton-custom-freestlye-151",
    "id": 1048875349,
    "product_type": "Snowboard",
    "published_at": "2012-05-09T14:42:26-04:00",
    "template_suffix": null,
    "title": "Burton Custom Freestlye 151",
    "updated_at": "2012-05-09T14:42:26-04:00",
    "vendor": "Burton",
    "tags": "\"Big Air\", Barnes & Noble, John's Fav",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411792,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "Default",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "0.00",
        "product_id": 1048875349,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "Default",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      }
    ],
    "images": [

    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
POST /admin/products.json

Create a new product with the default variant and a product image which will be downloaded by Shopify

Request

           
{
  "product": {
    "title": "Burton Custom Freestlye 151",
    "body_html": "<strong>Good snowboard!</strong>",
    "vendor": "Burton",
    "product_type": "Snowboard",
    "images": [
      {
        "src": "http://example.com/rails_logo.gif"
      }
    ]
  }
}      

Response

           
HTTP/1.1 201 Created[]
{
  "product": {
    "body_html": "<strong>Good snowboard!</strong>",
    "created_at": "2012-05-09T14:42:26-04:00",
    "handle": "burton-custom-freestlye-151",
    "id": 1048875350,
    "product_type": "Snowboard",
    "published_at": "2012-05-09T14:42:26-04:00",
    "template_suffix": null,
    "title": "Burton Custom Freestlye 151",
    "updated_at": "2012-05-09T14:42:26-04:00",
    "vendor": "Burton",
    "tags": "",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411793,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "Default",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "0.00",
        "product_id": 1048875350,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "Default",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:42:26-04:00",
        "id": 916933540,
        "position": 1,
        "product_id": 1048875350,
        "updated_at": "2012-05-09T14:42:26-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/rails_logo.gif?1"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
POST /admin/products.json

Create a new product with the default variant and base64 encoded image

Request

           
{
  "product": {
    "title": "Burton Custom Freestlye 151",
    "body_html": "<strong>Good snowboard!</strong>",
    "vendor": "Burton",
    "product_type": "Snowboard",
    "images": [
      {
        "attachment": "R0lGODlhAQABAIAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==\n"
      }
    ]
  }
}      

Response

           
HTTP/1.1 201 Created[]
{
  "product": {
    "body_html": "<strong>Good snowboard!</strong>",
    "created_at": "2012-05-09T14:42:26-04:00",
    "handle": "burton-custom-freestlye-151",
    "id": 1048875351,
    "product_type": "Snowboard",
    "published_at": "2012-05-09T14:42:26-04:00",
    "template_suffix": null,
    "title": "Burton Custom Freestlye 151",
    "updated_at": "2012-05-09T14:42:26-04:00",
    "vendor": "Burton",
    "tags": "",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411794,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "Default",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "0.00",
        "product_id": 1048875351,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "Default",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:42:26-04:00",
        "id": 916933541,
        "position": 1,
        "product_id": 1048875351,
        "updated_at": "2012-05-09T14:42:26-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/df3e567d6f16d040326c7a0ea29a4f41.gif?1"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
POST /admin/products.json

Create a new, but unpublished product

Request

           
{
  "product": {
    "title": "Burton Custom Freestlye 151",
    "body_html": "<strong>Good snowboard!</strong>",
    "vendor": "Burton",
    "product_type": "Snowboard",
    "published": false
  }
}      

Response

           
HTTP/1.1 201 Created[]
{
  "product": {
    "body_html": "<strong>Good snowboard!</strong>",
    "created_at": "2012-05-09T14:42:26-04:00",
    "handle": "burton-custom-freestlye-151",
    "id": 1048875352,
    "product_type": "Snowboard",
    "published_at": null,
    "template_suffix": null,
    "title": "Burton Custom Freestlye 151",
    "updated_at": "2012-05-09T14:42:26-04:00",
    "vendor": "Burton",
    "tags": "",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411795,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "Default",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "0.00",
        "product_id": 1048875352,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "Default",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      }
    ],
    "images": [

    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
POST /admin/products.json

Create a product with a metafield

Request

           
{
  "product": {
    "title": "Burton Custom Freestlye 151",
    "body_html": "<strong>Good snowboard!</strong>",
    "vendor": "Burton",
    "product_type": "Snowboard",
    "metafields": [
      {
        "key": "new",
        "value": "newvalue",
        "value_type": "string",
        "namespace": "global"
      }
    ]
  }
}      

Response

           
HTTP/1.1 201 Created[]
{
  "product": {
    "body_html": "<strong>Good snowboard!</strong>",
    "created_at": "2012-05-09T14:42:26-04:00",
    "handle": "burton-custom-freestlye-151",
    "id": 1048875353,
    "product_type": "Snowboard",
    "published_at": "2012-05-09T14:42:26-04:00",
    "template_suffix": null,
    "title": "Burton Custom Freestlye 151",
    "updated_at": "2012-05-09T14:42:26-04:00",
    "vendor": "Burton",
    "tags": "",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:42:26-04:00",
        "fulfillment_service": "manual",
        "grams": 0,
        "id": 961411796,
        "inventory_management": null,
        "inventory_policy": "deny",
        "option1": "Default",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "0.00",
        "product_id": 1048875353,
        "requires_shipping": true,
        "sku": "",
        "taxable": true,
        "title": "Default",
        "updated_at": "2012-05-09T14:42:26-04:00",
        "inventory_quantity": 1
      }
    ],
    "images": [

    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
POST /admin/products.json

Trying to create a product without a title, product_type, and vendor will return an error

Request

           
{
  "product": {
    "title": "A title"
  }
}      

Response

           
HTTP/1.1 422 Unprocessable Entity[]
{
  "errors": {
    "vendor": [
      "can't be blank",
      "is too short (minimum is 2 characters)"
    ],
    "product_type": [
      "can't be blank",
      "is too short (minimum is 2 characters)"
    ]
  }
}
top

Modify an existing Product

Update a product and associated variants and images

PUT /admin/products/#{id}.json

Add a metafield to an existing product

Request

           
{
  "product": {
    "id": 632910392,
    "metafields": [
      {
        "key": "new",
        "value": "newvalue",
        "value_type": "string",
        "namespace": "global"
      }
    ]
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:42:27-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
PUT /admin/products/#{id}.json

Hide a published product by changing the published attribute to false

Request

           
{
  "product": {
    "id": 632910392,
    "published": false
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": null,
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:42:27-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
PUT /admin/products/#{id}.json

Show a hidden product by changing the published attribute to true

Request

           
{
  "product": {
    "id": 632910392,
    "published": true
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2012-05-09T14:42:27-04:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:42:27-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
PUT /admin/products/#{id}.json

Update a product's tags

Request

           
{
  "product": {
    "id": 632910392,
    "tags": "Barnes & Noble, John's Fav"
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:42:28-04:00",
    "vendor": "Apple",
    "tags": "Barnes & Noble, John's Fav",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
PUT /admin/products/#{id}.json

Update a product's title

Request

           
{
  "product": {
    "id": 632910392,
    "title": "New product title"
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "New product title",
    "updated_at": "2012-05-09T14:42:28-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
PUT /admin/products/#{id}.json

Update a product, adding a new product image

Request

           
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:41:58-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "inventory_quantity": 10,
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00"
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "inventory_quantity": 20,
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00"
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "inventory_quantity": 30,
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00"
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "inventory_quantity": 40,
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00"
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?0",
        "updated_at": "2012-05-09T14:41:57-04:00"
      },
      {
        "src": "http://example.com/rails_logo.gif"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:42:28-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 850703190,
        "position": 1,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:41:57-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/ipod-nano.png?1"
      },
      {
        "created_at": "2012-05-09T14:42:28-04:00",
        "id": 916933542,
        "position": 2,
        "product_id": 632910392,
        "updated_at": "2012-05-09T14:42:28-04:00",
        "src": "http://static.shopify.com/s/files/1/6909/3384/products/rails_logo.gif?1"
      }
    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
PUT /admin/products/#{id}.json

Update a product, clearing product images

Request

           
{
  "product": {
    "id": 632910392,
    "images": [

    ]
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "product": {
    "body_html": "<p>It's the small iPod with one very big idea: Video. Now the world's most popular music player, available in 4GB and 8GB models, lets you enjoy TV shows, movies, video podcasts, and more. The larger, brighter display means amazing picture quality. In six eye-catching colors, iPod nano is stunning all around. And with models starting at just $149, little speaks volumes.</p>",
    "created_at": "2012-05-09T14:41:58-04:00",
    "handle": "ipod-nano",
    "id": 632910392,
    "product_type": "Cult Products",
    "published_at": "2007-12-31T19:00:00-05:00",
    "template_suffix": null,
    "title": "IPod Nano - 8GB",
    "updated_at": "2012-05-09T14:42:28-04:00",
    "vendor": "Apple",
    "tags": "Emotive, Flash Memory, MP3, Music",
    "variants": [
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 808950810,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Pink",
        "option2": null,
        "option3": null,
        "position": 1,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008PINK",
        "taxable": true,
        "title": "Pink",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 10
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 49148385,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Red",
        "option2": null,
        "option3": null,
        "position": 2,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008RED",
        "taxable": true,
        "title": "Red",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 20
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 39072856,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Green",
        "option2": null,
        "option3": null,
        "position": 3,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "taxable": true,
        "title": "Green",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 30
      },
      {
        "compare_at_price": null,
        "created_at": "2012-05-09T14:41:58-04:00",
        "fulfillment_service": "manual",
        "grams": 200,
        "id": 457924702,
        "inventory_management": "shopify",
        "inventory_policy": "continue",
        "option1": "Black",
        "option2": null,
        "option3": null,
        "position": 4,
        "price": "199.00",
        "product_id": 632910392,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "taxable": true,
        "title": "Black",
        "updated_at": "2012-05-09T14:41:58-04:00",
        "inventory_quantity": 40
      }
    ],
    "images": [

    ],
    "options": [
      {
        "name": "Title"
      }
    ]
  }
}
top

Remove a Product from the database

Remove a product from the shop

DELETE /admin/products/#{id}.json

Delete a product along with all its variants and images

Response

           
HTTP/1.1 200 OK[]
{}
Last updated on 09 May 2012.